PSA: update your server to pipeline ID 1313 or above

Some never-do-gooders seem to be attacking servers with a random input validation issue. This has been fixed in artifacts starting at version 1313, released yesterday. If you’re experiencing random crashes and aren’t on version 1313 or above, that’s why.

This is a Rapid Response announcement, and it may not include all the details you’re used to from normal announcements.

27 Likes

I sthat what causes: https://hastebin.com/isiyutofay.xml

No, this is a resource issue with running multiple instances of a C# resource that listens on a fixed port.

Strange. Thanks. I’ll go look for help in the discord.

Thank you for fixing <3

I’m still getting this on Linux 1317

Still having issues. Server going up and then crashing

Same are you on Linux aswell?

yes linux vps

How in the world do I do this in zap hosting

@AJ_L It’s just Alpine.

Zap has todo it I guess

So, probably in a month or so. After they will make sure “it’s stable”, lol

I am so glad I was literally UNABLE to order their server back then, lol. 0 regrets.

Hate it aswell 0 regrets

Just noticed this happening on dev instance, testing new artifacts out now

edit: ive been stable for the past 30 mins with linux build 1317, thanks for the quick fix team

1 Like

1317 Linux artifacts are crashing on startup. A marked worsening of performance over the older artifacts it was supposed to resolve the issue on.

my server is crashing only on start

Thanks for looking out for the community

Sooo How do I get my server to work

How do I update the server to the new artifact version?

2 Likes

I updated to latest, still getting crashes :confused: